import {ModelComponentType} from "./ModelComponentType";
import {SaveComponent} from "./SaveComponent";

export abstract class ModelComponent extends SaveComponent{
  componentName: string
  componentDescription: string
  type: ModelComponentType
  constructor(componentName: string, componentDescription: string, type: ModelComponentType) {
    super();
    this.componentName = componentName;
    this.componentDescription = componentDescription;
    this.type = type;
  }
}
